﻿<AML>
 <Item type="Method" id="5F9D1432884B42AE97EB529C1841C1F3" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_journal_detail_delete
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	When delete row in Journal Detail,
	-Calculate  Credit Total Amount and Debit Total Amount in Journal.
	-Set to Credit Total Amount and Debit Total Amount.
	
Hooks:
	Type:	RelationshipType	:	acc_journal_details
	Event:	Grid Event ( OnDeleteRow )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var thisItem = parent.thisItem;
var acc_amount = parent.thisItem.getProperty("acc_amount");
var acc_credit_amount = parent.thisItem.getProperty("acc_credit_amount");

var acc_amount = parseFloat(acc_amount);
var acc_credit_amount = parseFloat(acc_credit_amount);

var child = thisItem.getItemsByXPath("//Item[@id = '" + relationshipID + "']").getItemByIndex(0);

var acc_debit = child.getProperty("acc_debit");
var acc_debit = parseFloat(acc_debit);

var acc_credit = child.getProperty("acc_credit");
var acc_credit = parseFloat(acc_credit);

if (acc_amount > 0) {
    var debit = (acc_amount - acc_debit);
    parent.thisItem.setProperty("acc_amount", debit.toFixed(2));
    myHandleItemChange("acc_amount", debit.toFixed(2));
}

if (acc_credit_amount > 0) {
    var credit = (acc_credit_amount - acc_credit);
    parent.thisItem.setProperty("acc_credit_amount", credit.toFixed(2));
    myHandleItemChange("acc_credit_amount", credit.toFixed(2));
}
function myHandleItemChange(property, value) {
    if (top.instance.document) {
        
        top.instance.handleItemChange(property, value);
    } else {
        
        top.frames[1].handleItemChange(property, value);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_journal_detail_delete</name>
 </Item>
</AML>